# VNF Package commands

VNF Package commands are CLI interface of VNF Package Management Interface in ETSI NFV-SOL 005.

## vnf package artifact download

Download VNF package artifact of an on-boarded VNF package.

    openstack vnf package artifact download
        [--file <FILE>]
        <vnf-package>
        <artifact-path>

--file <FILE>

  Local file to save downloaded VNF Package artifact file data. If this is not specified and there is no redirection then data will not be saved.

vnf-package

  VNF package ID

artifact-path

  The artifact file’s path

This command is provided by the python-tackerclient plugin.

## vnf package create

Create a new VNF Package

    openstack vnf package create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--user-data <key=value>]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--user-data <key=value>

  User defined data for the VNF package (repeat option to set multiple user defined data)

This command is provided by the python-tackerclient plugin.

## vnf package delete

Delete VNF Package

    openstack vnf package delete <vnf-package> [<vnf-package> ...]

vnf-package

  Vnf package(s) ID to delete

This command is provided by the python-tackerclient plugin.

## vnf package download

Download VNF package contents or VNFD of an on-boarded VNF package.

    openstack vnf package download
        [--file <FILE>]
        [--vnfd]
        [--type <type>]
        <vnf-package>

--file <FILE>

  Local file to save downloaded VNF Package or VNFD data. If this is not specified and there is no redirection then data will not be saved.

--vnfd

  Download VNFD of an on-boarded vnf package.

--type <type>

  Provide text/plain when VNFD is implemented as a single YAML file otherwise use application/zip. If you are not aware whether VNFD is a single or multiple yaml files, then you can specify ‘both’ option value. Provide this option only when –vnfd is set.

vnf-package

  VNF package ID

This command is provided by the python-tackerclient plugin.

## vnf package list

List VNF Packages

    openstack vnf package list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter <filter>]
        [--all_fields
        |
        --fields fields
        |
        --exclude_fields exclude-fields
        ]
        [--exclude_default]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <filter>

  Atrribute-based-filtering parameters

--all_fields

  Include all complex attributes in the response

--fields fields

  Complex attributes to be included into the response

--exclude_fields exclude-fields

  Complex attributes to be excluded from the response

--exclude_default

  Indicates to exclude all complex attributes from the response. This argument can be used alone or with –fields and –filter. For all other combinations tacker server will throw bad request error

This command is provided by the python-tackerclient plugin.

## vnf package show

Show VNF Package Details

    openstack vnf package show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-package>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-package

  VNF package ID

This command is provided by the python-tackerclient plugin.

## vnf package update

Update information about an individual VNF package

    openstack vnf package update
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--operational-state <operational-state>]
        [--user-data <key=value>]
        <vnf-package>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--operational-state <operational-state>

  Change the operational state of VNF Package, Valid values are ‘ENABLED’ or ‘DISABLED’.

--user-data <key=value>

  User defined data for the VNF package (repeat option to set multiple user defined data)

vnf-package

  VNF package ID

This command is provided by the python-tackerclient plugin.

## vnf package upload

Upload VNF Package

    openstack vnf package upload
        (--path <file> | --url <Uri>)
        [--user-name <user-name>]
        [--password <password>]
        <vnf-package>

--path <file>

  Upload VNF CSAR package from local file

--url <Uri>

  Uri of the VNF package content

--user-name <user-name>

  User name for authentication

--password <password>

  Password for authentication

vnf-package

  VNF package ID

This command is provided by the python-tackerclient plugin.

this page last updated: 2026-03-27 07:17:16

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug